Page MenuHomeMiraheze

Page previews and Reference Previews are completely broken
Closed, ResolvedPublic

Description

The extension "Page previews" (aka "Previews", "Popups") is very old and haven't been updated for a long time. The last update: – (375d27b) 22:18, 23 September 2019

It is completely broken now. No preview is shown when you hover over a link.
This extension has "Reference Previews" too, but it is still broken on Miraheze.
Please update. I believe this should fix the issues. Thank you.

Extension:Popups
Dependencies of Extension:Popups

Event Timeline

AmandaCath triaged this task as Normal priority.Jul 25 2020, 21:02
AmandaCath added a project: Extensions.
AmandaCath added a subscriber: AmandaCath.

The Popups extension is still maintained as it is in active use on Wikimedia Foundation sites (including the English Wikipedia, the largest WMF site). The extension being unmaintained is not the issue. This seems to be a bug with the extension. (I feel like a similar bug regarding malfunctions page previews has been reported before recently too).

@Revival Hi. Extensions will be updated when we upgrade to the new MediaWiki version (1.35) which should be out soon.

Indeed Popups did not work for a while but we've managed to fix the issue and it works on other Miraheze wikis. Perhaps you could try to go to https://inforevival.miraheze.org/wiki/Special:ManageWiki/settings#mw-section-styling and enable "Show Popups by default ($wmgShowPopupsByDefault)"?

Thanks for the pointer. The popups finally show up but it does not work like what English Wikipedia does. It shows literally the first line which may fail on some articles when they put templates or other codes before the first paragraph. It is not an issue on English Wikipedia.

I guess we will have to wait to see if those bugs are fixed when the update is performed.

Reception123 changed the task status from Open to Stalled.Jul 26 2020, 10:26

Thanks for the pointer. The popups finally show up but it does not work like what English Wikipedia does. It shows literally the first line which may fail on some articles when they put templates or other codes before the first paragraph. It is not an issue on English Wikipedia.

I guess we will have to wait to see if those bugs are fixed when the update is performed.

Yes, the MediaWiki 1.35 upgrade should be soon enough so we will see if it is fixed then. Stalling this task until that is done as the issue is upstream probably.

I don't have anything to add, really, to this task, but noticed it with interest. As a workaround to this, I've been using the Navigation Popups gadget (on Meta), and recently got it working on Public Test Wiki (was missing a few configuration files). So, other than for previews of special pages, it will show previews of pages when you hover over the links to pages (other than special pages) to any namespace. It isn't a particularly difficult gadget to set up, either. If you have the Reference Previews enabled, though, I know English Wikipedia does advise disabling that as it conflicts with the Navigation Popups gadget.

John changed the task status from Stalled to Open.Oct 1 2020, 21:35

It is completely broken again. No preview is shown when you hover over an article link or a footnote (reference).

@Revival Would you mind providing a link to a page where it doesn't work?

Reception123 claimed this task.

No response to the question in a week. Please do feel free to reopen this task once you read the question and provide the link so we can look into it.

So sorry for late reply. Since it involves private links, I sent an email to tech@miraheze.org . Please check it. Thank you.

This comment was removed by Reception123.

@Revival Have you made sure that you have it enabled in Special:Preferences -> Appearence?

Reception123 claimed this task.

Closing as I can no longer reproduce this issue by enabling the setting in my preferences. Please do feel free to reopen if enabling the setting does not fix the issue for you.

Dmehus changed the task status from Resolved to Invalid.Apr 28 2021, 14:06

Fixing status for @Reception123 if it's not producable, this seems better, I think?

Revival changed the task status from Invalid to Resolved.May 3 2021, 10:30

It is fixed now. Thank you.

Fixing status for @Reception123 if it's not producable, this seems better, I think?

It was actually broken when I created this task. It was first fixed on Oct 28 2020. It appeared to be broken again some time later. It is working now.
I believe "resolved" is better.